Bug 487974 - RFE: error on shlib provides from under %perl_*arch
RFE: error on shlib provides from under %perl_*arch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-01 17:03 EST by Chris Weyl
Modified: 2010-06-04 14:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: rpmlint-0.97-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 17:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-03-01 17:03:20 EST
Perl extensions often have private shared libraries under architecture-specific paths.  These extensions are private and not legitimate to depend on, and as such should not be allowed in the provides list of a package.

rpmlint should error on provides generated by shared libraries under:

%perl_archlib
%perl_sitearch
%perl_vendorarch
Comment 1 Ville Skyttä 2010-04-16 16:00:11 EDT
Done upstream (also for similar python, ruby and php paths):

$ rpmlint -i perl-List-MoreUtils
[...]
perl-List-MoreUtils.x86_64: W: private-shared-object-provides /usr/lib64/perl5/auto/List/MoreUtils/MoreUtils.so MoreUtils.so()(64bit)
A shared object soname provides is provided by a file in a path from which
other packages should not directly load shared objects from.  Such shared
objects should thus not be depended on and they should not result in provides
in the containing package.  Get rid of the provides if appropriate, for
example by filtering it out during build.  Note that in some cases this may
require disabling rpmbuild's internal dependency generator.
Comment 2 Fedora Update System 2010-05-18 16:20:42 EDT
rpmlint-0.97-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rpmlint-0.97-1.fc13
Comment 3 Fedora Update System 2010-05-18 16:22:00 EDT
rpmlint-0.97-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmlint-0.97-1.fc12
Comment 4 Fedora Update System 2010-05-28 14:03:34 EDT
rpmlint-0.97-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-06-04 14:46:37 EDT
rpmlint-0.97-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.